Skip to main content
DELETE
/
knowledge-base
/
{knowledgeBaseId}
/
faqs
/
{faqId}
Delete FAQ
curl --request DELETE \
  --url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs/{faqId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "success": true,
  "message": "Deleted successfully"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

knowledgeBaseId
string
required

The knowledge base ID

Example:

"kb_abc123def456"

faqId
string
required

The unique identifier for the FAQ entry to delete

Example:

"faq_abc123"

Response

FAQ deleted successfully

success
boolean

Whether the deletion was successful

Example:

true

message
string

Deletion confirmation message

Example:

"Deleted successfully"

Last modified on March 7, 2026